## com.fasterxml.jackson.core.util
Class DefaultPrettyPrinter.NopIndenter

    java.lang.Object
      com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter

All Implemented Interfaces:
  DefaultPrettyPrinter.Indenter

Enclosing class:
  DefaultPrettyPrinter

    public static class DefaultPrettyPrinter.NopIndenter

extends Object
implements DefaultPrettyPrinter.Indenter

Dummy implementation that adds no indentation whatsoever

Constructor Summary
`DefaultPrettyPrinter.NopIndenter()`

Method Summary
`boolean` `isInline()`
`void` `writeIndentation(JsonGenerator jg, int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPrettyPrinter.NopIndenter

    public DefaultPrettyPrinter.NopIndenter()

Method Detail

### writeIndentation

    public void writeIndentation(JsonGenerator jg,
                                 int level)

  Specified by:
    `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`

### isInline

    public boolean isInline()

  Specified by:
    `isInline` in interface `DefaultPrettyPrinter.Indenter`
  Returns:
    True if indenter is considered inline (does not add linefeeds), false otherwise

Copyright © 2012 fasterxml.com. All Rights Reserved.